IBM Java 7.0 < 7.0.10.85 / 7.1 < 7.1.4.85 / 8.0 < 8.0.6.30 / 11.0 < 11.0.11.0 多個弱點

medium Nessus Plugin ID 160370

Synopsis

IBM Java 受到多個弱點影響。

描述

遠端主機上安裝的 IBM Java 版本為 7.0 < 7.0.10.85 / 7.1 < 7.1.4.85 / 8.0 < 8.0.6.30 / 11.0 < 11.0.11.0。因此,其會受到 2021 年 4 月 20 日 Oracle CPU 公告中提及的多個弱點影響。

- Oracle Java SE 的 Java SE、Java SE Embedded、Oracle GraalVM 企業版產品中存在弱點 (元件:程式庫)。受影響的支援版本是 Java SE:7u291、8u281、11.0.10、16;
Java SE Embedded:8u281;Oracle GraalVM 企業版:19.3.5、20.3.1.2 和 21.0.0.2。攻擊此弱點具有難度,能夠透過多個通訊協定存取網路的未經驗證攻擊者可利用此弱點入侵 Java SE、Java SE Embedded、Oracle GraalVM 企業版。若攻擊成功,攻擊者可在未經授權的情況下,建立、刪除或修改重要資料或所有 Java SE、Java SE Embedded、Oracle GraalVM 企業版可存取的資料。注意:此弱點適用於會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼) 並依賴 Java 沙箱獲得安全性的 Java 部署。也可以透過將未受信任的資料提供給指定元件中的 API 來利用此問題。(CVE-2021-2161)

- Oracle Java SE 的 Java SE、Java SE Embedded、Oracle GraalVM 企業版產品中存在弱點 (元件:程式庫)。受影響的支援版本是 Java SE:7u291、8u281、11.0.10、16;
Java SE Embedded:8u281;Oracle GraalVM 企業版:19.3.5、20.3.1.2 和 21.0.0.2。攻擊此弱點具有難度,能夠透過多個通訊協定存取網路的未經驗證攻擊者可利用此弱點入侵 Java SE、Java SE Embedded、Oracle GraalVM 企業版。若要成功攻擊,必須有攻擊者以外之他人的互動。若攻擊成功,攻擊者可在未經授權的情況下,建立、刪除或修改重要資料或所有 Java SE、Java SE Embedded、Oracle GraalVM 企業版可存取的資料。注意:此弱點適用於會載入並執行不受信任的程式碼 (例如,來自網際網路的程式碼) 並依賴 Java 沙箱獲得安全性的 Java 部署。(CVE-2021-2163)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

按照 2021 年 4 月 20 日 Oracle CPU 公告套用適當的修補程式。

另請參閱

http://www-01.ibm.com/support/docview.wss?uid=swg1IJ32229

http://www-01.ibm.com/support/docview.wss?uid=swg1IJ32230

http://www.nessus.org/u?38e3821d

Plugin 詳細資訊

嚴重性: Medium

ID: 160370

檔案名稱: ibm_java_2021_04_20.nasl

版本: 1.2

類型: local

代理程式: windows, macosx, unix

系列: Misc.

已發布: 2022/4/29

已更新: 2022/4/29

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 4.4

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-2161

CVSS v3

風險因素: Medium

基本分數: 5.9

時間分數: 5.2

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:ibm:java

必要的 KB 項目: installed_sw/Java

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/4/20

弱點發布日期: 2021/4/20

參考資訊

CVE: CVE-2021-2161, CVE-2021-2163

IAVA: 2021-A-0195